# Class CSVultrDNSConfigurator

java.lang.Object
com.io7m.certusine.vultr.internal.CSVultrDNSConfigurator

All Implemented Interfaces:
  `CSDNSConfiguratorType`

public final class CSVultrDNSConfigurator extends Object implements CSDNSConfiguratorType
A Vultr DNS configurator.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CSVultrDNSConfigurator(CSVultrStrings inStrings, String inDomain, String inApiKey, String inApiBase)`
  A Vultr DNS configurator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `createTXTRecord(CSTelemetryServiceType telemetry, CSDNSRecordNameType recordName, String recordValue)`
  Create a TXT record with the given text.
  `void`
  `deleteTXTRecord(CSTelemetryServiceType telemetry, CSDNSRecordNameType recordName, String recordValue)`
  Delete a TXT record with the given text.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CSVultrDNSConfigurator

    public CSVultrDNSConfigurator(CSVultrStrings inStrings, String inDomain, String inApiKey, String inApiBase)
    A Vultr DNS configurator.
    Parameters:
      `inStrings` - String resources
      `inDomain` - The owning domain
      `inApiKey` - The Vultr API key
      `inApiBase` - The API base address

- ## Method Details

  - ### createTXTRecord

    public void createTXTRecord(CSTelemetryServiceType telemetry, CSDNSRecordNameType recordName, String recordValue) throws IOException, InterruptedException
    Description copied from interface: `CSDNSConfiguratorType`
    Create a TXT record with the given text.
    Specified by:
      `createTXTRecord` in interface `CSDNSConfiguratorType`
    Parameters:
      `telemetry` - A telemetry service used to report results
      `recordName` - The record name
      `recordValue` - The text
    Throws:
      `IOException` - On errors
      `InterruptedException` - On thread interruption

  - ### deleteTXTRecord

    public void deleteTXTRecord(CSTelemetryServiceType telemetry, CSDNSRecordNameType recordName, String recordValue) throws IOException, InterruptedException
    Description copied from interface: `CSDNSConfiguratorType`
    Delete a TXT record with the given text.
    Specified by:
      `deleteTXTRecord` in interface `CSDNSConfiguratorType`
    Parameters:
      `telemetry` - A telemetry service used to report results
      `recordName` - The record name
      `recordValue` - The text
    Throws:
      `IOException` - On errors
      `InterruptedException` - On thread interruption